Name:           perl-PAR-Packer
Version:        1.010
Release:        2%{?dist}
Summary:        PAR Packager
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PAR-Packer/
Source0:        http://www.cpan.org/authors/id/R/RS/RSCHUPP/PAR-Packer-%{version}.tar.gz
BuildRequires:  perl(Archive::Zip) >= 1
BuildRequires:  perl(Compress::Zlib) >= 1.3
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::Embed)
BuildRequires:  perl(File::Temp) >= 0.05
BuildRequires:  perl(Getopt::ArgvFile) >= 1.07
BuildRequires:  perl(IO::Compress::Gzip)
BuildRequires:  perl(Module::ScanDeps) >= 1.01
BuildRequires:  perl(PAR) >= 1.000
BuildRequires:  perl(PAR::Dist) >= 0.22
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements the App::Packer::Backend interface, for generating
stand-alone executables, perl scripts and PAR files.

%prep
%setup -q -n PAR-Packer-%{version}

%build
# DEBUG variable needed to disable stripping binary
DEBUG=1 %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
# The Makefile is not parallel-safe.
# PAR_GLOBAL_TEMP seems to be needed for the build.
make PAR_GLOBAL_TEMP=/var/tmp

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
export PAR_GLOBAL_TEMP=/var/tmp
#export PAR_GLOBAL_TMPDIR=/var/tmp
## does not pass
# make test PERL_TEST_POD=1 || :

%files
%doc AUTHORS ChangeLog README TODO
%{perl_vendorlib}/*
%{_bindir}/par.pl
%{_bindir}/parl
%{_bindir}/parldyn
%{_bindir}/pp
%{_bindir}/tkpp
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*

%changelog
* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.010-2
- Perl mass rebuild

* Thu Jul 14 2011 Petr Sabata <contyk@redhat.com> - 1.010-1
- 1.010 bump
- Removing defattr

* Fri May  6 2011 Petr Sabata <psabata@redhat.com> - 1.009-1
- 1.009 bump
- Removing buildroot garbage

* Fri Feb 25 2011 Petr Pisar <ppisar@redhat.com> - 1.008-3
- Do not strip binaries

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.008-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 23 2010 Petr Sabata <psabata@redhat.com> - 1.008-1
- New upstream release, v1.008
- New source URL

* Wed Sep 29 2010 jkeating - 1.007-2
- Rebuilt for gcc bug 634757

* Tue Sep 14 2010 Petr Sabata <psabata@redhat.com> - 1.007-1
- New release, v1.007

* Tue Aug 24 2010 Adam Tkac <atkac redhat com> - 1.005-2
- rebuild

* Fri Jun 11 2010 Petr Sabata <psabata@redhat.com> - 1.005-1
- Update to the latest release, fixing #602933

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.991-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.991-5
- rebuild against perl 5.10.1

* Wed Sep 23 2009 Stepan Kasal <skasal@redhat.com> - 0.991-4
- too hard to build without stripping (#524894)

* Mon Sep 21 2009 Stepan Kasal <skasal@redhat.com> - 0.991-3
- patch to use $RPM_OPT_FLAGS
- patch to submit the third parameter to open()

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.991-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 27 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.991-1
- Specfile autogenerated by cpanspec 1.78.
